#ifndef TIME_H
#define	TIME_H
//-----------------------Change BCD time to Decimal-----------------------------
unsigned char get_DecTime(unsigned char time)
{   
  return ((time >> 4) * 10) + (time & 0x0F);  
}
//-----------------------Change Decimal time to BCD-----------------------------
unsigned char get_BCDTime(unsigned char time)
{
  return ((time / 10) << 4) + (time % 10);
}
//------------------------------------------------------------------------------
char* get_fullTimeStr(char tm[])
{
  char time[8];
  
  sprintf(time,"%02d:%02d:%02d",tm[2],tm[1],tm[0]); 
  
  return time; 
}
//--------------------------Week Day--------------------------------------------
char* get_wDayStr(unsigned char day)
{  
  char * weekDay;
  
  switch(day)
  {
    case 1:  weekDay = "Sun"; break;
    case 2:  weekDay = "Mon"; break;
    case 3:  weekDay = "Tue"; break;
    case 4:  weekDay = "Wed"; break;
    case 5:  weekDay = "Thu"; break;
    case 6:  weekDay = "Fri"; break;
    case 7:  weekDay = "Sat"; break;
    default: weekDay = "err";           
  }
  
  return weekDay;  
}
//------------------------------------------------------------------------------
char* get_MonthStr(unsigned char noMonth)
{
  char * month;  
  
  switch(noMonth)
  {
    case  1:  month = "Jan";   break;
    case  2:  month = "Feb";   break;
    case  3:  month = "March"; break;
    case  4:  month = "April"; break;
    case  5:  month = "May";   break;
    case  6:  month = "June";  break;
    case  7:  month = "July";  break;
    case  8:  month = "Aug";   break;
    case  9:  month = "Sept";  break;
    case 10:  month = "Oct";   break;
    case 11:  month = "Nov";   break;
    case 12:  month = "Dec";   break;
    default:  month = "err";           
  }
  
  return month;
}
//------------------------------------------------------------------------------
char* get_fullDateStr(char tm[])
{
  char time[20];
  
  sprintf(time,"%s,%02d %s 20%d",get_wDayStr(tm[3]),tm[4],get_MonthStr(tm[5]),tm[6]); 
  
  return time; 
}
//------------------------------------------------------------------------------
#endif